{
    "compilerOptions": {
        "target": "es2023",
        "module": "esnext",
        "lib": [
            "ES2023",
            "DOM",
            "DOM.Iterable"
        ],
        "types": [
            "vite/client"
        ],
        "skipLibCheck": true,
        "moduleResolution": "bundler",
        "allowImportingTsExtensions": true,
        "verbatimModuleSyntax": true,
        "moduleDetection": "force",
        "noEmit": true,
        "strict": true,
        "alwaysStrict": true,
        "useUnknownInCatchVariables": true,
        "noImplicitAny": true,
        "noImplicitOverride": true,
        "noImplicitThis": true,
        "strictPropertyInitialization": true,
        "strictBindCallApply": true,
        "strictBuiltinIteratorReturn": true,
        "strictFunctionTypes": true,
        "strictNullChecks": true,
        "noUnusedLocals": true,
        "noUnusedParameters": true,
        "noImplicitReturns": true,
        "exactOptionalPropertyTypes": true,
        "noFallthroughCasesInSwitch": true,
        "noUncheckedSideEffectImports": true
    },
    "include": [
        "application/include"
    ]
}
